﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.Windows.Controls.Cells;
using Syncfusion.Windows.Controls.Grid;
using Syncfusion.Windows.Data;
using System.Data;
using System.Collections.ObjectModel;

namespace GridDataControlSample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ViewModel vm = new ViewModel();
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = vm;
            this.SyncGrid.ModelLoaded += new EventHandler(SyncGrid_ModelLoaded);
            this.SyncGrid.MouseDoubleClick+=new MouseButtonEventHandler(SyncGrid_MouseDoubleClick);
        }

        void SyncGrid_MouseDoubleClick(object sender, MouseButtonEventArgs e)
        {
            Window1 wnd = new Window1()
            {
                Owner = System.Windows.Application.Current.MainWindow,
                WindowStartupLocation = WindowStartupLocation.CenterOwner,
            };
            wnd.Show();
        }

        void SyncGrid_ModelLoaded(object sender, EventArgs e)
        {
            FilterPredicate fp = new FilterPredicate() { FilterValue = 1, FilterType = Syncfusion.Linq.FilterType.Equals };
            this.SyncGrid.VisibleColumns[0].Filters.Add(fp);
        }

    }
}